Skip to main content
GET
/
cabinet
/
auth
/
me
Get Current User
curl --request GET \
  --url https://api.example.com/cabinet/auth/me \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "telegram_id": 123,
  "username": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "<string>",
  "email_verified": false,
  "balance_kopeks": 0,
  "balance_rubles": 0,
  "referral_code": "<string>",
  "language": "ru",
  "auth_type": "telegram"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

User data response.

id
integer
required
created_at
string<date-time>
required
telegram_id
integer | null
username
string | null
first_name
string | null
last_name
string | null
email
string | null
email_verified
boolean
default:false
balance_kopeks
integer
default:0
balance_rubles
number
default:0
referral_code
string | null
language
string
default:ru
auth_type
string
default:telegram